skills
Delete a skill
Delete a skill by namespace and slug. Requires ownership of the namespace.
DELETE
/
skills
/
{namespace}
/
{slug}
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const skill = await client.skills.delete('slug', { namespace: 'namespace' });
console.log(skill.qualifiedName);curl --request DELETE \
--url https://api.smithery.ai/skills/{namespace}/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smithery.ai/skills/{namespace}/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
{
"success": true,
"qualifiedName": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Was this page helpful?
Previous
Create a service tokenCreate a service token for machine-to-machine authentication. Accepts API key or bearer token. Optionally apply restrictions.
Next
⌘I
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const skill = await client.skills.delete('slug', { namespace: 'namespace' });
console.log(skill.qualifiedName);